#!/bin/tcsh

# Startup file for prlink.  Feel free to edit this to suit your needs.
# (Most likely you will want to change the port settings.)
#
# Usage: source ~/prlink-0.9.7/Start.tcsh in your .cshrc.

foreach i ( 1 2 4 8 )
	switch ( $i )
	case 1
		set port = 3; breaksw
	case 2
		set port = 2; breaksw
	case 4
		set port = 1; breaksw
	case 8
		set port = 3; breaksw
	endsw

	foreach j ( prload prsave prcart prrfile prwfile prdisk )
		alias $j$i "prmain -c prtrans$i --$j -p $port"
	end
end

setenv PRLINKDIR ~/prlink-0.9.7/bin/

foreach j ( prrfile prwfile prdisk )
	setenv PRLINK_${j:au}201 pet/$j.prg
	setenv PRLINK_${j:au}20 vic20/$j.prg
	setenv PRLINK_${j:au}64 c64/$j.prg
	setenv PRLINK_${j:au}16 c16/$j.prg
	setenv PRLINK_${j:au}128 c128/$j.prg
end

unset i j port
